#ifndef MEDIACONTROLER_H
#define MEDIACONTROLER_H

#include <glib-object.h>
#include <gst/gst.h>

#include "VideoWidget.h"

class MediaControler : public QObject
{
    Q_OBJECT
    Q_ENUMS( Status )

public:
    enum Status
    {
        StatusDisconnected = 0,
        StatusConnecting = 1,
        StatusConnected = 2
    };

    MediaControler( QObject *parent = 0 );
    ~MediaControler();

    void gst_play();

    VideoWidget *videoPreviewWidget() const;
    VideoWidget *videoOutputWidget() const;
    static gboolean gst_bus_watch_cb( GstBus *bus, GstMessage *message, MediaControler *self );

protected:
    void gst_init();
    void gst_init_2();

private:
    GstBus *bus;
    GstElement *pipeline;
    GstElement *audioInput;
    GstElement *audioOutputBin;
    GstElement *videoInputBin;
    GstElement *videoTee;

    VideoWidget *videoPreview;
    VideoWidget *videoOutput;

    Status status;
};

#endif //MEDIACONTROLER_H
