#ifndef VIDEOWIDGET_H
#define VIDEOWIDGET_H

#include <QWidget>
#include <QShowEvent>
#include <gst/gst.h>

class VideoWidget : public QWidget
{
    Q_OBJECT

public:
    VideoWidget( GstBus *bus, QWidget *parent = 0 );
    ~VideoWidget();

    GstElement *element() const;

public Q_SLOTS:
    void exposeed();

protected:
    void showEvent( QShowEvent* event );

private Q_SLOTS:
    void setOverlay();
    void windowExposed();

private:
    struct Private;
    friend struct Private;
    Private *mPriv;
};

#endif  //VIDEOWIDGET_H
