#include <QtGui>
#include <QVBoxLayout>

#include "MainWindow.h"

MainWindow::MainWindow( QWidget *parent )
            : QMainWindow( parent )
{
    setWindowTitle( tr("GStreamer Test") );
    setupGui();
    resize( 640, 480 );
}

MainWindow::~MainWindow()
{
}

void MainWindow::setupGui()
{
    mc = new MediaControler( this );
    VideoWidget *videoOutput = mc->videoOutputWidget();
    VideoWidget *videoPreView = mc->videoPreviewWidget();
    videoOutput->setMinimumSize( 320, 240 );

    quitButton = new QPushButton( "Quit" );
    quitButton->resize( 75, 30 );
    quitButton->setFont( QFont( "Times", 18, QFont::Bold ) );
    QObject::connect( quitButton, SIGNAL( clicked() ), this, SLOT( close() ) );

//    QVBoxLayout *mainLayout = new QVBoxLayout();
//    mainLayout->addWidget( videoOutput );
//    mainLayout->addWidget( quitButton );

    //setCentralWidget( videoOutput );
    setCentralWidget( videoPreView );
}
